* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: system-ui;
}

.main-color, header, footer {
    background-color: lightgreen;
    text-align: center;
}

header {

}

nav {
    background-color: lawngreen;
}

main {
    flex: 1;
    padding: 1rem;
}

footer {

}
